Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.optional.vss
Class MSVSSHISTORY.BriefCodediffNofile

    java.lang.Object
      |
      +--org.apache.tools.ant.types.EnumeratedAttribute
            |
            +--org.apache.tools.ant.taskdefs.optional.vss.MSVSSHISTORY.BriefCodediffNofile

Enclosing class:
  MSVSSHISTORY

public static class MSVSSHISTORY.BriefCodediffNofile
extends EnumeratedAttribute

Extention of EnumeratedAttribute to hold the values for style.

Field Summary

Fields inherited from class org.apache.tools.ant.types.EnumeratedAttribute
`value`

Constructor Summary
`MSVSSHISTORY.BriefCodediffNofile()`

Method Summary
`java.lang.String[]` | `getValues()` Gets the list of allowable values.

Methods inherited from class org.apache.tools.ant.types.EnumeratedAttribute
`containsValue, getIndex, getValue, indexOfValue, setValue, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MSVSSHISTORY.BriefCodediffNofile

    public MSVSSHISTORY.BriefCodediffNofile()

Method Detail

### getValues

    public java.lang.String[] getValues()

  Gets the list of allowable values.

  Specified by:
    `getValues` in class `EnumeratedAttribute`
  Returns:
    The values.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2005 Apache Software Foundation. All Rights Reserved.